## hb-glib hb-glib — GLib integration |

## Functions

hb_unicode_funcs_t * | hb_glib_get_unicode_funcs ()
GUnicodeScript | hb_glib_script_from_script ()
hb_script_t | hb_glib_script_to_script ()
hb_blob_t * | hb_glib_blob_create ()

## Includes

    #include <hb-glib.h>

## Description

Functions for using HarfBuzz with the GLib library.

HarfBuzz supports using GLib to provide Unicode data, by attaching GLib functions to the virtual methods in a hb_unicode_funcs_t function structure.

## Functions

### hb_glib_get_unicode_funcs ()

    hb_unicode_funcs_t *
    hb_glib_get_unicode_funcs (void);

Fetches a Unicode-functions structure that is populated with the appropriate GLib function for each method.

#### Returns

a pointer to the hb_unicode_funcs_t Unicode-functions structure.

[transfer none]

Since: 0.9.38

### hb_glib_script_from_script ()

    GUnicodeScript
    hb_glib_script_from_script (hb_script_t script);

Fetches the GUnicodeScript identifier that corresponds to the specified hb_script_t script.

#### Parameters

script | The hb_script_t to query |

#### Returns

the GUnicodeScript identifier found

Since: 0.9.38

### hb_glib_script_to_script ()

    hb_script_t
    hb_glib_script_to_script (GUnicodeScript script);

Fetches the hb_script_t script that corresponds to the specified GUnicodeScript identifier.

#### Parameters

script | The GUnicodeScript identifier to query |

#### Returns

the hb_script_t script found

Since: 0.9.38

### hb_glib_blob_create ()

    hb_blob_t *
    hb_glib_blob_create (GBytes *gbytes);

Creates an hb_blob_t blob from the specified GBytes data structure.

#### Parameters

gbytes | the GBytes structure to work upon |

#### Returns

the new hb_blob_t blob object.

[transfer full]

Since: 0.9.38